Subject: Compiler Errors

From: [email-masked]
Date: Thu, 6 Aug 1992 07:38:44 -0700

I've been trying to get MOO to compile on a DEC, using Ultrix 4.2.
To 
my (albeit, rather limited) knowledge, I've followed README's and Makefile
prompts etc. correctly, signaling the 'more vanilla' compiler that is more
appropriate for my system.

The error is:

% make
cc -g -Dconst= -DUSE_RANDOM -DUSE_POSIX -DBUGGY_STDARG -c bf_prop.c
ccom: Error: bf_prop.c, line 180: no automatic aggregate initialization
          Var           value = arglist.v.list[3];
      ------------------------^
ccom: Error: bf_prop.c, line 180: assignment of different structures
          Var           value = arglist.v.list[3];
      -------------------------------------------^
*** Error code 1

Stop.

I'm mostly confused because not more than two months ago, I'd compiled MOO
without a hitch -- I was estatic 'cuz it was the first M* of any sort that
compiled w/o warnings and/or errors. This is the latest version of MOO
available on parcftp, 1.5.20.

Any ideas?
Falryx (or some derivative thereof @ wherever)

----------------------------------------------------------------------------
--
"I don't know about anyone else,     | "Childhood is short, and maturity
lasts
but >I< came from my room, I'm a     | forever." - Calvin and Hobbes.
kid with big plans, and I'm going    | 
outside!!!" - Calvin & Hobbes        | "The world is a complicated
place..."
----------------------------------------------------------------------------
--